function plugindef()
    -- This function and the 'finaleplugin' namespace
    -- are both reserved for the plug-in definition.
    return "String Harmonics - Interval", "String Harmonics - Interval", "Creates harmonics for all intervals between m3 and P5 in selected region"
end

for entry in eachentrysaved(finenv.Region()) do
    -- Only process 2-note chords
    if (entry.Count ~= 2) then goto continue end
    -- Only process (enharmonically) perfect 4ths
    local highestnote = entry:CalcHighestNote(nil)
    local lowestnote = entry:CalcLowestNote(nil)
    local mididiff = highestnote:CalcMIDIKey() - lowestnote:CalcMIDIKey()
    if ((mididiff ~= 12 and mididiff > 7) or 3 > mididiff or mididiff == 6)then goto continue end
    -- Create a notehead modification object
    local notehead = finale.FCNoteheadMod()
    -- Remove any old notehead data for this entry
    notehead:EraseAt(lowestnote)
    notehead:EraseAt(highestnote)
    -- Create a diamond character that is 110% of the default size
    notehead.CustomChar = 79
    notehead.Resize = 110
    if(entry:GetDuration() == 4096) then
        if(note:CalcStaffPosition() >= -5) then
            notehead.HorizontalPos = 5
        else
            notehead.HorizontalPos = -5
        end
    end
    notehead:SaveAt(highestnote)
    -- Jump label here:
    ::continue::
end